Module jdk.compiler
Package com.sun.source.tree

# Interface StringTemplateTree

All Superinterfaces:
  `ExpressionTree`, `Tree`

public interface StringTemplateTree extends ExpressionTree
`StringTemplateTree` is a reflective preview API of the Java platform.
Preview features may be removed in a future release, or upgraded to permanent features of the Java platform.
A tree node for a string template expression.

## Nested Class Summary

## Nested classes/interfaces declared in interface com.sun.source.tree.Tree

`Tree.Kind`

## Method Summary

Modifier and Type
Method
Description
`List<? extends ExpressionTree>`
`getExpressions()`
Returns list of expressions.
`List<String>`
`getFragments()`
Returns string fragments.
`ExpressionTree`
`getProcessor()`
Returns templated string processor (may be qualified) or null.

### Methods declared in interface com.sun.source.tree.Tree

`accept, getKind`

## Method Details

### getProcessor

ExpressionTree getProcessor()
Returns templated string processor (may be qualified) or null.

Returns:
  templated string processor

### getFragments

List<String> getFragments()
Returns string fragments.

Returns:
  string fragments

### getExpressions

List<? extends ExpressionTree> getExpressions()
Returns list of expressions.

Returns:
  list of expressions